#version 430 core
in vec2 UV;
out vec4 color;

uniform sampler2D scene;
uniform sampler2D bloomBlur;
uniform bool bloom;
uniform float exposure;

void main() {
	const float gamma = 1.5;
   	vec3 hdrColor = texture(scene, UV).rgb;      
    vec3 bloomColor = texture(bloomBlur, UV).rgb;
    if(bloom){
        hdrColor += bloomColor;
    }

    vec3 col_comp = vec3(1.0) - exp(-hdrColor * exposure);
    col_comp = pow(col_comp, vec3(1.0 / gamma));
    color = vec4(col_comp, 1.0);
}